package com.sooka.mainpage.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MainPageMapper {

    public void getMainPageCount();

    //top部门接口调用排名
    public List interfaceCallCount();

    //全市数据共享情况
    public List qssjgxqk();

    //接口使用频次
    public List getInterfacePinci_day();

    public Integer countNumFromDept(@Param("table_name") String table_name);

    public List getTableNamesBydeptId(@Param("dept_id") Integer dept_id);

    public Integer getInterfaceStatusCount(@Param("status") String status);

    public Integer getGXPT_jkzs();



}
